Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2752283004: Add the ability to override WebContentsBindingSet binders for testing (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months ago by Ken Rockot(use gerrit already)
Modified:
2 months ago
Reviewers:
jam
CC:
chromium-reviews, creis+watch_chromium.org, darin-cc_chromium.org, jam, nasko+codewatch_chromium.org, lpy
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add the ability to override WebContentsBindingSet binders for testing WebContentsBindingSet and WebContentsFrameBindingSet<T> provide a simple way of binding Channel-associated interfaces which require RenderFrameHost context for dispatch. Currently there's no simple way to override incoming request handlers for integration testing. This adds that. BUG=577685 Review-Url: https://codereview.chromium.org/2752283004 Cr-Commit-Position: refs/heads/master@{#458231} Committed: https://chromium.googlesource.com/chromium/src/+/96c63e3daa19994e75cf804fd234d09fd5021ab0

Patch Set 1 #

Patch Set 2 : . #

Total comments: 2

Patch Set 3 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+133 lines, -5 lines) Patch
M content/browser/web_contents/web_contents_impl.h View 1 2 3 chunks +13 lines, -1 line 0 comments Download
A content/browser/web_contents_binding_set_browsertest.cc View 1 2 1 chunk +69 lines, -0 lines 0 comments Download
M content/public/browser/web_contents_binding_set.h View 1 2 3 chunks +7 lines, -1 line 0 comments Download
M content/public/browser/web_contents_binding_set.cc View 1 2 chunks +8 lines, -3 lines 0 comments Download
A content/public/test/web_contents_binding_set_test_binder.h View 1 2 1 chunk +34 lines, -0 lines 0 comments Download
M content/test/BUILD.gn View 1 2 2 chunks +2 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 21 (15 generated)
Ken Rockot(use gerrit already)
2 months ago (2017-03-17 21:42:43 UTC) #5
jam
https://codereview.chromium.org/2752283004/diff/20001/content/public/browser/web_contents_binding_set.h File content/public/browser/web_contents_binding_set.h (right): https://codereview.chromium.org/2752283004/diff/20001/content/public/browser/web_contents_binding_set.h#newcode43 content/public/browser/web_contents_binding_set.h:43: class TestBinder : public Binder { can this be ...
2 months ago (2017-03-20 17:07:32 UTC) #9
Ken Rockot(use gerrit already)
https://codereview.chromium.org/2752283004/diff/20001/content/public/browser/web_contents_binding_set.h File content/public/browser/web_contents_binding_set.h (right): https://codereview.chromium.org/2752283004/diff/20001/content/public/browser/web_contents_binding_set.h#newcode43 content/public/browser/web_contents_binding_set.h:43: class TestBinder : public Binder { On 2017/03/20 at ...
2 months ago (2017-03-20 17:50:48 UTC) #12
jam
lgtm
2 months ago (2017-03-20 22:28:18 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752283004/40001
2 months ago (2017-03-20 22:58:41 UTC) #18
commit-bot: I haz the power
2 months ago (2017-03-20 23:24:01 UTC) #21
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/96c63e3daa19994e75cf804fd234...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06